> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Received Recommendations

> To scrape all recommendations from a profile, increase the start value to +100 for each request until you reach the total recommendations count. You can find the total recommendations count in the response



## OpenAPI

````yaml /openapi/linkedin.openapi.json get /v1/data/linkedin/get-received-recommendations
openapi: 3.0.0
info:
  title: agntdata LinkedIn API
  description: Enrich profile and company data in real-time
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Post
    description: ''
  - name: Article API
    description: ''
  - name: Location
    description: ''
  - name: System
    description: ''
  - name: Company
    description: ''
  - name: Profile APIs
    description: ''
  - name: Job APIs
    description: ''
paths:
  /v1/data/linkedin/get-received-recommendations:
    get:
      tags:
        - Profile APIs
      summary: Get Received Recommendations
      description: >-
        To scrape all recommendations from a profile, increase the start value
        to +100 for each request until you reach the total recommendations
        count. You can find the total recommendations count in the response
      operationId: Get_Received_Recommendations
      parameters:
        - name: start
          in: query
          required: false
          schema:
            type: string
            default: '0'
        - name: username
          in: query
          required: true
          schema:
            type: string
            default: ryanroslansky
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get_linkedin_get_received_recommendations_Response
              example:
                success: true
                message: ''
                data:
                  - text: >-
                      Ryan is a true leader.  He inspires those who work with
                      him and is astute, charismatic, and focused; for these
                      reasons he is extremely effective at rallying colleagues
                      around common goals and getting things done.  He possesses
                      the rare capacity to integrate people skills and sense of
                      humor with strategy and execution.  Ryan is brilliantly
                      creative is responsible for initiating and executing the
                      most successful, groundbreaking initiatives at Glam.  I
                      consider it a privilege to work for Ryan.
                    created: 1237372587484
                    lastModified: 1237386379298
                    relationship: RECOMMENDER_REPORTED_TO_RECOMMENDEE
                    recommender:
                      firstName: Christina
                      lastName: Cece
                      occupation: Software Engineer
                      username: christinacece
                  - text: >-
                      Ryan is a superb manager. Empowering, focused,
                      detail-oriented, and most of all, encouraging. Ryan is
                      also one of the most innovative thinkers I've met--which
                      creates an exciting and inventive atmosphere in which to
                      work. Furthermore, he is eager to hear from others--and
                      always appreciates and promotes solid ideas.
                    created: 1237371051897
                    lastModified: 1237386364178
                    relationship: RECOMMENDER_REPORTED_TO_RECOMMENDEE
                    recommender:
                      firstName: Tracey
                      lastName: Harrington McCoy
                      occupation: >-
                        Entertainment Writer/Editor: People Mag, Newsweek,
                        Parents Mag, Forbes, AARP, HelloGiggles, Aol/HuffPo |
                        Founder & CEO, Written By Media
                      username: traceyharringtonmccoy
                total: 2
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_linkedin_get_received_recommendations_Response:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: array
          items:
            type: object
            properties:
              text:
                type: string
              created:
                type: integer
              lastModified:
                type: integer
              relationship:
                type: string
              recommender:
                type: object
                properties:
                  firstName:
                    type: string
                  lastName:
                    type: string
                  occupation:
                    type: string
                  username:
                    type: string
        total:
          type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````